Package org.eclipse.jdt.core

## Interface IJavaModelStatus

All Superinterfaces:
  `IStatus`

    public interface IJavaModelStatus
    extends IStatus

Represents the outcome of an Java model operation. Status objects are used inside `JavaModelException` objects to indicate what went wrong.

Java model status object are distinguished by their plug-in id: `getPlugin` returns `"org.eclipse.jdt.core"`. `getCode` returns one of the status codes declared in `IJavaModelStatusConstants`.

A Java model status may also carry additional information (that is, in addition to the information defined in `IStatus`):

- elements - optional handles to Java elements associated with the failure
- string - optional string associated with the failure

See Also:
  `IStatus`, `IJavaModelStatusConstants`
Restriction:
  This interface is not intended to be implemented by clients.

### Field Summary

### Fields inherited from interface org.eclipse.core.runtime.IStatus

`CANCEL, ERROR, INFO, OK, WARNING`

### Method Summary

All Methods Instance Methods Abstract Methods Deprecated Methods
`IJavaElement[]` `getElements()` Returns any Java elements associated with the failure (see specification of the status code), or an empty array if no elements are related to this particular status code.
`IPath` `getPath()` Returns the path associated with the failure (see specification of the status code), or `null` if the failure is not one of `DEVICE_PATH`, `INVALID_PATH`, `PATH_OUTSIDE_PROJECT`, or `RELATIVE_PATH`.
`String` `getString()` Deprecated. Use `IStatus.getMessage()` instead
`boolean` `isDoesNotExist()` Returns whether this status indicates that a Java model element does not exist.

### Methods inherited from interface org.eclipse.core.runtime.IStatus

`getChildren, getCode, getException, getMessage, getPlugin, getSeverity, isMultiStatus, isOK, matches`

### Method Detail

#### getElements

    IJavaElement[] getElements()

Returns any Java elements associated with the failure (see specification of the status code), or an empty array if no elements are related to this particular status code.

Returns:
  the list of Java element culprits
See Also:
  `IJavaModelStatusConstants`

#### getPath

    IPath getPath()

Returns the path associated with the failure (see specification of the status code), or `null` if the failure is not one of `DEVICE_PATH`, `INVALID_PATH`, `PATH_OUTSIDE_PROJECT`, or `RELATIVE_PATH`.

Returns:
  the path that caused the failure, or `null` if none
See Also:
  `IJavaModelStatusConstants.DEVICE_PATH`, `IJavaModelStatusConstants.INVALID_PATH`, `IJavaModelStatusConstants.PATH_OUTSIDE_PROJECT`, `IJavaModelStatusConstants.RELATIVE_PATH`

#### getString

    String getString()

Deprecated.
Use `IStatus.getMessage()` instead
Returns the string associated with the failure (see specification of the status code), or `null` if no string is related to this particular status code.

Returns:
  the string culprit, or `null` if none
See Also:
  `IJavaModelStatusConstants`

#### isDoesNotExist

    boolean isDoesNotExist()

Returns whether this status indicates that a Java model element does not exist. This convenience method is equivalent to `getCode() == IJavaModelStatusConstants.ELEMENT_DOES_NOT_EXIST`.

Returns:
  `true` if the status code indicates that a Java model element does not exist
See Also:
  `IJavaModelStatusConstants.ELEMENT_DOES_NOT_EXIST`